# $Id: perl-YAML.spec 8364 2010-01-04 07:17:51Z cmr $
# Authority: dries
# Upstream: Brian Ingerson <ingy$cpan,org>

# Default system overrides so we build Perl in the right place (against 
# Penn's local perl instead of the system perl) -- jorj@isc.upenn.edu
%define __perl /usr/local/bin/perl
%define _prefix /usr/local

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
%define perl_man3dir %(eval "`%{__perl} -V:installvendorman3dir`"; echo $installvendorman3dir)


%define real_name YAML

Summary: Machine parseable data serialization format
Name: upenn-perl-YAML
Version: 0.71
Release: 1%{?dist}
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/YAML/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/YAML-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
#BuildRequires: upenn-perl(ExtUtils::MakeMaker) >= 6.42
#BuildRequires: upenn-perl(ExtUtils::MakeMaker)
#BuildRequires: upenn-perl(Filter::Util::Call)
BuildRequires: upenn-perl >= 5.8.1
#Requires: upenn-perl(Filter::Util::Call)
Requires: upenn-perl >= 5.8.1

%filter_from_requires /^perl*/d
%filter_setup

%description
YAML is an abbreviation of YAML Ain't Markup Language. It's a straightforward
machine-parseable data serialization format.

%prep
%setup -n %{real_name}-%{version}

%build
echo "y" | %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{perl_man3dir}/Test::YAML.3pm*
%doc %{perl_man3dir}/YAML.3pm*
%doc %{perl_man3dir}/YAML::*.3pm*
%dir %{perl_vendorlib}/Test/
%{perl_vendorlib}/Test/YAML.pm
%{perl_vendorlib}/YAML/
%{perl_vendorlib}/YAML.pm

%changelog
* Mon Jan  4 2010 Christoph Maser <cmr@financial.com> - 0.71-1 - 8364/cmr
- Updated to version 0.71.

* Sat Aug 29 2009 Christoph Maser <cmr@financial.com> - 0.70-1
- Updated to version 0.70.

* Fri May 29 2009 Christoph Maser <cmr@financial.com> - 0.68-1
- Updated to version 0.68.

* Tue Nov 06 2007 Dag Wieers <dag@wieers.com> - 0.66-1
- Updated to release 0.66.

* Mon Sep 18 2006 Dries Verachtert <dries@ulyssis.org> - 0.62-1
- Updated to release 0.62.

* Sun Mar 26 2006 Dries Verachtert <dries@ulyssis.org> - 0.58-1
- Updated to release 0.58.

* Wed Jun  8 2005 Dries Verachtert <dries@ulyssis.org> - 0.39-1
- Updated to release 0.39.

* Fri Mar  4 2005 Dries Verachtert <dries@ulyssis.org> - 0.36-1
- Updated to release 0.36.

* Thu Jul 22 2004 Dries Verachtert <dries@ulyssis.org> - 0.35-1
- Initial package.
